
import pypowsybl

net = pypowsybl.network.load("case9241pegase.mat")

analysis = pypowsybl.security.create_analysis()
analysis.add_monitored_elements(branch_ids=net.get_branches().index)
analysis.add_single_element_contingencies(elements_ids=net.get_branches().index)
res = analysis.run_dc(net)
print(len(res.branch_results))